body {
    background-color: #f7f3e7 !important;
}
.footer {
    background-color: #f7f3e7 !important;
}
.page-loading {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -webkit-transition: all .4s .2s ease-in-out;
    transition: all .4s .2s ease-in-out;
    background-color: #fff;
    opacity: 0;
    visibility: hidden;
    z-index: 9999;
}

[data-bs-theme="dark"] .page-loading {
    background-color: #121519;
}

.page-loading.active {
    opacity: 1;
    visibility: visible;
}

.page-loading-inner {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    text-align: center;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transition: opacity .2s ease-in-out;
    transition: opacity .2s ease-in-out;
    opacity: 0;
}

.page-loading.active > .page-loading-inner {
    opacity: 1;
}

.page-loading-inner > span {
    display: block;
    font-family: "Inter", sans-serif;
    font-size: 1rem;
    font-weight: normal;
    color: #6f788b;
}

[data-bs-theme="dark"] .page-loading-inner > span {
    color: #fff;
    opacity: .6;
}

.page-spinner {
    display: inline-block;
    width: 2.75rem;
    height: 2.75rem;
    margin-bottom: .75rem;
    vertical-align: text-bottom;
    background-color: #d7dde2;
    border-radius: 50%;
    opacity: 0;
    -webkit-animation: spinner .75s linear infinite;
    animation: spinner .75s linear infinite;
}

[data-bs-theme="dark"] .page-spinner {
    background-color: rgba(255, 255, 255, .25);
}

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    50% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    50% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

.swiper-slide {
    position: relative;
}

.swiper-slide .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.0); /* dark overlay, adjust opacity here */
    z-index: 1;
}

.swiper-slide-cover {
    position: relative;
    z-index: 0;
}

.text-shadow {
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4);
}

.zoom-hover {
    transition: transform 0.5s ease;
}

.zoom-hover:hover {
    transform: scale(1.1);
}

.object-fit-cover {
    object-fit: cover !important;
}

.masked-email:after {
    content: attr(data-name) "@" attr(data-domain) attr(data-tld);
}

/*.card:hover {
    background-color: #eefbff; !* light grey or any colour you prefer *!
    transition: background-color 0.3s ease;
    border: 1px solid #d4f4ff !important;
}*/

p, ul, ul li, ol, ol li {
    font-size: 1.1rem;
}

.bg-light-secondary {
    background-color: #fdf6d4 !important;
}

.btn-primary {
    /*background-color: #044d43 !important;*/
    background-color: #096457 !important;
    color: #efe393 !important;
    /*border-color: #79a2b2 !important;*/
    border-color: #0a8e7c !important;
}

.btn-light {
    color: #044d43;
}

.bg-primary {
    background-color: #044d43 !important;
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6, h4.card-title {
    /*color: #044d43;*/
    color: #000000;
}

h1 {
    font-size: 2rem;
}
h2 {
    font-size: 1.8rem;
}
h3 {
    font-size: 1.6rem;
}
h4 {
    font-size: 1.4rem;
}
h5 {
    font-size: 1.3rem;
}
h6 {
    font-size: 1.2rem;
}

.text-gold {
    color: #efe393;
}

.text-primary {
    color: #044d43;
}

.text-secondary {
    color: #efe393 !important;
}

.brush-button {
    position: relative;
    width: 520px;
    height: 80px;
    border: none;
    background: none;
    padding: 0;
    cursor: pointer;
    font-family: Georgia, serif;
    font-size: 1.4rem;
    font-weight: bold;
    text-transform: uppercase;
    color: #f0d08a;
}

.brush-button svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.brush-button span {
    position: relative;
    z-index: 1;
    display: inline-block;
    padding: 0 30px;
}

.menu-top-overlay-white {
    position: absolute;
    top: 0;
    left: 0;
    height: 200px;
    width: 100%;
    /*background: linear-gradient(rgba(255, 255, 255, 0.9), transparent);*/
    background: linear-gradient(to bottom, #fff, #fff 30%, transparent);
    /*background-color: rgba(255, 255, 255, 0.8);*/
    z-index: 2;
    pointer-events: none; /* Ensures menu buttons below are still clickable */
}

.menu-top-overlay-green {
    position: absolute;
    top: 0;
    left: 0;
    height: 360px;
    width: 100%;
    /*background: linear-gradient(to bottom, #044d43, #044d43 30%, transparent);*/
    background: linear-gradient(to bottom, #044d43, #044d43 30%, transparent);
    z-index: 2;
    pointer-events: none; /* Ensures menu buttons below are still clickable */
}

.menu-top-overlay-green-2 {
    position: absolute;
    top: 0;
    left: 0;
    height: 180px;
    width: 100%;
    background: linear-gradient(to bottom, #044d43, #044d43 30%, transparent);
    z-index: 2;
    pointer-events: none; /* Ensures menu buttons below are still clickable */
}

.green-menu {
    /*background-color: #044d43;*/
    /*background-color: #1b4f42;*/
    background-color: #044d43;
    /*background-image: linear-gradient(#044d43, #0a5b4e);*/
}

.green-menu nav > ul > li > a {
    color: #efe393;
}

.green-menu.navbar .nav-item:hover > .nav-link:not(.disabled), .navbar .nav-item .nav-link.show:not(.disabled) {
    color: #f5edb4 !important;
}

/* Tablet (1200px and below) */
@media (max-width: 1200px) {
    .green-menu nav > ul > li > a {
        color: #044d43;
    }
    .green-menu.navbar .nav-item:hover > .nav-link:not(.disabled), .navbar .nav-item .nav-link.show:not(.disabled) {
        color: #044d43 !important;
    }
}

.navbar-toggler-icon, .navbar-toggler-icon::before, .navbar-toggler-icon::after {
    background-color: #f5edb4;
}


.green-menu.navbar-stuck {
    /*background-color: #044d43;*/
    background-color: #044d43;
}

.bg-green {
    background-color: #24404b;
}


.parallax-hero {
    position: relative;
    height: 40vh;
    overflow: hidden;
}

.parallax-hero img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 40vh;
    object-fit: cover;
    z-index: 1;
}

.parallax-text-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;

    pointer-events: none;
}

.parallax-text {
    color: white;
    text-shadow: 0 2px 10px rgba(0, 0, 0, 0.6);
    pointer-events: auto;
}


@media (min-width: 576px) {
    .fs-sm-1 {
        font-size: calc(1.3rem + 0.6vw) !important;
    }

    .fs-sm-2 {
        font-size: calc(1.275rem + 0.3vw) !important;
    }

    .fs-sm-3 {
        font-size: calc(1.26rem + 0.12vw) !important;
    }

    .fs-sm-4 {
        font-size: 1.25rem !important;
    }

    .fs-sm-5 {
        font-size: 1.15rem !important;
    }

    .fs-sm-6 {
        font-size: 1.075rem !important;
    }

    .fs-sm-7 {
        font-size: 0.95rem !important;
    }
}

@media (min-width: 768px) {
    .fs-md-1 {
        font-size: calc(1.3rem + 0.6vw) !important;
    }

    .fs-md-2 {
        font-size: calc(1.275rem + 0.3vw) !important;
    }

    .fs-md-3 {
        font-size: calc(1.26rem + 0.12vw) !important;
    }

    .fs-md-4 {
        font-size: 1.25rem !important;
    }

    .fs-md-5 {
        font-size: 1.15rem !important;
    }

    .fs-md-6 {
        font-size: 1.075rem !important;
    }

    .fs-md-7 {
        font-size: 0.95rem !important;
    }
}

@media (min-width: 992px) {
    .fs-lg-1 {
        font-size: calc(1.3rem + 0.6vw) !important;
    }

    .fs-lg-2 {
        font-size: calc(1.275rem + 0.3vw) !important;
    }

    .fs-lg-3 {
        font-size: calc(1.26rem + 0.12vw) !important;
    }

    .fs-lg-4 {
        font-size: 1.25rem !important;
    }

    .fs-lg-5 {
        font-size: 1.15rem !important;
    }

    .fs-lg-6 {
        font-size: 1.075rem !important;
    }

    .fs-lg-7 {
        font-size: 0.95rem !important;
    }
}

@media (min-width: 1200px) {
    .fs-xl-1 {
        font-size: calc(1.3rem + 0.6vw) !important;
    }

    .fs-xl-2 {
        font-size: calc(1.275rem + 0.3vw) !important;
    }

    .fs-xl-3 {
        font-size: calc(1.26rem + 0.12vw) !important;
    }

    .fs-xl-4 {
        font-size: 1.25rem !important;
    }

    .fs-xl-5 {
        font-size: 1.15rem !important;
    }

    .fs-xl-6 {
        font-size: 1.075rem !important;
    }

    .fs-xl-7 {
        font-size: 0.95rem !important;
    }
}

@media (min-width: 1400px) {
    .fs-xxl-1 {
        font-size: calc(1.3rem + 0.6vw) !important;
    }

    .fs-xxl-2 {
        font-size: calc(1.275rem + 0.3vw) !important;
    }

    .fs-xxl-3 {
        font-size: calc(1.26rem + 0.12vw) !important;
    }

    .fs-xxl-4 {
        font-size: 1.25rem !important;
    }

    .fs-xxl-5 {
        font-size: 1.15rem !important;
    }

    .fs-xxl-6 {
        font-size: 1.075rem !important;
    }

    .fs-xxl-7 {
        font-size: 0.95rem !important;
    }
}

.table > :not(caption) > * > * {
    background-color: transparent !important;
    border-color: #ccc !important;
}

.btn-success {
    background-color: #044d43 !important;
    border-color: #136c60 !important;
}

/*
a {
    color: #044d43 !important;
}
*/
